import { style } from '@vanilla-extract/css';

import * as colors from '../../colors.css';

export const tab_group = style({
	display: 'flex',
	justifyContent: 'center',
	alignItems: 'center',
	width: '100%',
	height: '2em',
	borderBottom: `1px solid ${colors.background2}`,
	'@media': {
		'screen and (max-width: 768px)': {
			height: '1.75em',
		}
	}
});

export const tab = style({
	border: 'none',
	outline: 'none',
	backgroundColor: 'inherit',
	color: 'inherit',
	width: '10em',
	fontSize: '1em',
	height: '100%',
	flexGrow: 0,
	transition: 'color 0.35s, background-color 0.35s',
	':hover': {
		backgroundColor: colors.background2,
	},
	'@media': {
		'screen and (max-width: 768px)': {
			fontSize: '0.9em',
		}
	},
});

export const active = style({
	backgroundColor: colors.background2,
});

export const separator = style({
	width: '1px',
	height: '100%',
	backgroundColor: colors.background2,
});

