'use client'

import React from 'react';
import { useState } from 'react';

import * as style from './tab_group.css';

export default function TabGroup({ tabs, initial, tab_callback }: { tabs: string[], initial: number, tab_callback: (active: number) => void }) {
	const [active, set_active] = useState(initial);
	return (
		<div className={style.tab_group}>
			<div className={style.separator}></div>
			{tabs.map((tab, index) => <React.Fragment key={index}>
				<button onClick={() => { set_active(index); tab_callback(index); }} className={`${style.tab} ${index == active ? style.active : ''}`}>{tab}</button>
				<div className={style.separator}></div>
			</React.Fragment>)}
		</div>
	);
}
